--- /dev/null	Mon Nov 18 13:19:50 2019
+++ new/usr/src/tools/smatch/src/validation/bad-type-twice1.c	Mon Nov 18 13:19:50 2019
@@ -0,0 +1,16 @@
+static unsigned long foo(unsigned long val, void *ref)
+{
+	if (val >= ref)
+		val = 0;
+	return val;
+}
+
+/*
+ * check-name: bad-type-twice1
+ *
+ * check-error-start
+bad-type-twice1.c:3:17: error: incompatible types for operation (>=)
+bad-type-twice1.c:3:17:    left side has type unsigned long val
+bad-type-twice1.c:3:17:    right side has type void *ref
+ * check-error-end
+ */
